#
# Example of using the GitLab provided templates for static security checks
#  * SAST - static code scanning for JS, Java, Python
#  * Secret detection - pattern matches common tokens in your files
#
# Docs: https://docs.gitlab.com/ee/user/application_security/sast/
#       https://docs.gitlab.com/ee/user/application_security/secret_detection/
#
# NOTE: The GitLab templates will NOT cause your pipeline to fail if critical
#       or other high severity issues are found in your codebase.
#
#       It is a TODO to expand this template and provide optional settings
#       that will cause pipeline failure should issues with severity above
#       a defined threshold be found.
#
include:
  - template: Security/Secret-Detection.gitlab-ci.yml
  - template: Security/SAST.gitlab-ci.yml


#
# If you need to customise the jobs, you can override their
# settings like so
#
sast:
  stage: Test

secret_detection:
  stage: Test
